/* $Cambridge: hermes/src/prayer/cmd/cmd_action_stub.c,v 1.2 2008/05/19 15:55:54 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2008 */
/* See the file NOTICE for conditions of use and distribution. */

#include "prayer_session.h"

void cmd_action_stub(struct session *session)
{
    struct template_vals *tvals = session->template_vals;
    struct request *request = session->request;
    struct buffer *b = request->write_buffer;
    char *last_cmd = memblock_string(session->last_cmd);

    template_vals_string(tvals, "$last_command", last_cmd);
    session_seed_template(session, tvals);
    template_expand("action_stub", tvals, b);
    response_html(request, 200);
}
